{ pkgs, lib, ... }:
{
  systemd.timers."goaccess" = {
    wantedBy = [ "timers.target" ];
    timerConfig = {
      OnCalendar = "*:0/15";
      Unit = "goaccess.service";
    };
  };

  systemd.services."goaccess" = {
    script = ''
      set -eu
      ${pkgs.gzip}/bin/zcat -f /var/log/nginx/access.log* | ${pkgs.goaccess}/bin/goaccess  --log-format=VCOMBINED -o /var/www/hoyer.xyz/html/stats/index.html -
      ${pkgs.gzip}/bin/zcat -f /var/log/nginx/access.log* | ${pkgs.gnugrep}/bin/egrep '^harald.hoyer.xyz' | ${pkgs.goaccess}/bin/goaccess  --log-format=VCOMBINED -o /var/www/hoyer.xyz/html/stats/harald-hoyer.html -
      ${pkgs.gzip}/bin/zcat -f /var/log/nginx/access.log* | ${pkgs.gnugrep}/bin/egrep '^hartwin.hoyer.xyz' | ${pkgs.goaccess}/bin/goaccess  --log-format=VCOMBINED -o /var/www/hoyer.xyz/html/stats/hartwin-hoyer.html -
      ${pkgs.gzip}/bin/zcat -f /var/log/nginx/access.log* | ${pkgs.gnugrep}/bin/egrep '^git.hoyer.xyz' | ${pkgs.goaccess}/bin/goaccess  --log-format=VCOMBINED -o /var/www/hoyer.xyz/html/stats/git-hoyer.html -
      ${pkgs.gzip}/bin/zcat -f /var/log/nginx/access.log* | ${pkgs.gnugrep}/bin/egrep '^nc.hoyer.xyz' | ${pkgs.goaccess}/bin/goaccess  --log-format=VCOMBINED -o /var/www/hoyer.xyz/html/stats/nc-hoyer.html -
      ${pkgs.gzip}/bin/zcat -f /var/log/nginx/access.log* | ${pkgs.gnugrep}/bin/egrep '^kicker.surfsite.org' | ${pkgs.goaccess}/bin/goaccess  --log-format=VCOMBINED -o /var/www/hoyer.xyz/html/stats/kicker.html -
    '';
    serviceConfig = {
      Type = "oneshot";
      User = "root";
    };
  };
}
