{ pkgs, lib, ... }:
{
  services.fail2ban.enable = true;
  services.resolved.domains = [
    "surfsite.org"
    "hoyer.xyz"
  ];
  services.resolved.extraConfig = "ReadEtcHosts=no";
  services.nscd.enableNsncd = false;

  networking.firewall.allowedTCPPorts = [ 80 443 ];
  networking.firewall.allowPing = true;

  networking.hostName = "mx"; # Define your hostname.
  networking.domain = "surfsite.org";
  networking.dhcpcd.enable = false;
  networking.firewall.logRefusedConnections = false;
  networking.networkmanager.enable = false;
  networking.useDHCP = false;
  networking.useNetworkd = true;
  networking.wireless.enable = false;
  networking.defaultGateway.address = "95.216.66.129";
  networking.defaultGateway.interface = "enp0s31f6";
  #networking.nameservers = [ "1.1.1.1" "8.8.8.8" ];
  networking.enableIPv6 = true;

  networking.interfaces.enp0s31f6 = {
    ipv6 = {
      addresses = [{
        address = "2a01:4f9:2b:2e3::2"; # Your IPv6 here
        prefixLength = 64;
      }];
      # Default IPv6 route
      routes = [{
        address = "::";
        prefixLength = 0;
        via = "fe80::1";
      }];
    };
    ipv4.addresses = [{
      address = "95.216.66.178";
      prefixLength = 26;
    }];
  };
}
